﻿.form-control:focus,
.form-control-wrap:focus,
.form-select:focus {
    box-shadow: none !important;
    outline: none !important;
}

#blazor-error-ui {
    display: none;
}

#blazor-error-ui .dismiss {
        cursor: pointer;
    }
/* Card Styles */
.card {
    border: 1px solid #eaeaea;
    border-radius: 8px;
   /* overflow: hidden;*/
    background: #fff;
}

/* Card Header */
.card-header {
    background: #fff;
    border-bottom: 1px solid #eaeaea;
    padding: 12px 16px;
}

    .card-header h5 {
        font-size: 20px;
        font-weight: 600;
        color: #2c3e50;
    }

    .card-header a {
        font-size: 14px;
        font-weight: 500;
        text-decoration: none;
        color: #e74c3c;
    }

        .card-header a:hover {
            text-decoration: underline;
        }

/* Table Styles */
.table {
    margin-bottom: 0;
    font-size: 14px;
    color: #6c757d;
}

    .table thead th {
        font-weight: 600;
        color: #7f8c8d;
        border-bottom: 1px solid #eaeaea;
        background: #f9fafc;
        padding: 12px;
        vertical-align: top;
    }

    .table tbody td {
        padding: 12px;
        vertical-align: middle;
    }

    .table tbody tr:not(:last-child) {
        border-bottom: 1px solid #f0f0f0;
    }



.card-inner {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}



@media (max-width: 768px) {
    .col-md-6 {
        margin-bottom: 20px;
    }
}

 
.stat-card {
    background: #fff;
    border: 2px solid #DA291C;
    border-radius: 12px;
    padding: 15px 20px;
    display: flex;
    align-items: center;
    box-shadow: rgba(0, 0, 0, 0.08) 0px 2px 6px;
    height: 100%;
}

.stat-card .icon {
    color: #DA291C;
    font-size: 2rem;
    margin-right: 15px;
    flex-shrink: 0;
}

.stat-card h2 {
    margin: 0;
    font-size: 2rem;
    font-weight: 700;
    color: #333;
    line-height: 1.2;
}

.stat-card small {
    color: #555;
    font-size: 15px;
    display: block;
}

@media (max-width:786px) {
    .stat-card small {
        color: #555;
        font-size: 1rem;
    }
}